org.apache.fop.fonts.truetype

## Class SVGGlyphData

- java.lang.Object
- - org.apache.fop.fonts.truetype.SVGGlyphData

    public class SVGGlyphData
    extends Object

### Field Summary

Fields
`float` `scale`
`protected long` `svgDocLength`
`protected long` `svgDocOffset`

### Constructor Summary

Constructors
Constructor and Description
`SVGGlyphData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDataURL(int height)`
`void` `setSVG(String svg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### svgDocOffset

    protected long svgDocOffset

#### svgDocLength

    protected long svgDocLength

#### scale

    public float scale

### Constructor Detail

#### SVGGlyphData

    public SVGGlyphData()

### Method Detail

#### setSVG

    public void setSVG(String svg)

#### getDataURL

    public String getDataURL(int height)